let
  pbb-nixfiles = fetchGit {
    url = "https://git.petabyte.dev/petabyteboy/nixfiles";
    rev = "b15d29e0440716fc37414547d55839717c9ed2f9";
  };

  qyliss-nixlib = fetchTarball {
    url = "https://git.qyliss.net/nixlib/snapshot/nixlib-e14330c5be9b005d4310cd4dc0d384cff882aedc.tar.zst";
    sha256 = "0nan14ixhdzxxddnckqqhaxhr96yw08rgcmxssddhji6aq5a445j";
  };

  home-manager = fetchGit {
    url = "https://github.com/nix-community/home-manager";
    rev = "a98ec6ec158686387d66654ea96153ec06be33d7";
  };
in {
  imports = [
    (pbb-nixfiles + "/modules")
    (home-manager + "/nixos")
  ];

  nixpkgs.overlays = [
    (self: super: {
      pleroma = self.callPackage (pbb-nixfiles + "/pkgs/pleroma") {
        elixir_1_10 = super.elixir;
      };
      dino = self.callPackage (qyliss-nixlib + "/overlays/patches/dino") {
        inherit (super) dino;
      };
    })
  ];
}
